Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 474668 - spacewalk-java needs to create /etc/rhn/cobbler
Summary: spacewalk-java needs to create /etc/rhn/cobbler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Installation
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Parker
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04 swcobbler
TreeView+ depends on / blocked
 
Reported: 2008-12-04 19:52 UTC by Mike McCune
Modified: 2012-03-06 08:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:35:18 UTC


Attachments (Terms of Use)

Description Mike McCune 2008-12-04 19:52:57 UTC
Need to edit spacewalk-java.spec to include creation of /etc/rhn/cobbler and have that dir be owned by tomcat:tomcat

Comment 1 Mike McCune 2008-12-04 23:52:29 UTC
Also, need to move it to /var/lib/rhn/kickstarts.  From our meeting notes:

> -- Saving kickstarts in /etc/rhn is not as LSB friendly as it could be 
> as these aren't config files.    Use /var/lib/rhn/kickstarts or similar 
> for user data.

Comment 2 Dave Parker 2008-12-05 08:13:52 UTC
To test:

1) Ensure that /var/lib/rhn/kickstarts exists
2) Ensure that /var/lib/rhn/kickstarts is owned by tomcat:tomcat and has mode 775
3) Create a kickstart profile in spacewalk and verify that it shows up in /var/lib/rhn/kickstarts

Comment 3 Jesus M. Rodriguez 2009-01-22 16:35:18 UTC
verified


Note You need to log in before you can comment on or make changes to this bug.